Description

Any chance to have paths on Windows with backslash instead of slash as it properly should be? I mean show it in "Layer source",

metadata properties, maybe also saved in project file?

History

#1 - 2015-01-28 03:51 PM - Nathan Woodrow

Does having them the way we do break anything?  I have never had any issues.

#2 - 2015-01-28 04:11 PM - Miroslav Umlauf

I am not aware of any bug caused by that - that is why I flag it as feature request. The reason I am asking for this is I kind of often need to go to directories

where the file is saved through long structure. In other software I use there is actually next to path button "Browse..." for this purpose. At this stage I copy

the path, replace slashes to backslahes and paste it to browser. Not too bad, but...

#3 - 2015-01-29 08:03 AM - Matthias Kuhn

- Status changed from Open to Feedback

Windows supports slashes just fine to my knowledge. Anything else will use backslash as an escape character and therefore break. So using slashes

saves a lot of inter-operability headaches.

However, I think on Windows we should also support pasting paths with backslashes and convert them when required. If you specify where QGIS does

not properly handle backslashes we might be able to do something about it.

#4 - 2016-05-04 06:52 PM - Miroslav Umlauf

It seems the only problem now is with files which are drag and dropped into QGIS - the path is for some reason still with slashes instead of backslashes.

Windows, at least Windows 7, doesn't work well with slashes in many cases. For example I want to copy directory path from general layer properties to get

quickly to that directory in the file explorer. I need to rewrite slashes to backslashes otherwise it doesn't work. Also if I copy grid/image path for layer

properties to add raster layer in the second QGIS window it doesn't work - the file name is not valid. Same for vector data like shapefile if you browse for

file. If I copy path with slashes directly into add vector layer Dataset field it works but propagates the slashes further like I would use drag and drop.

#5 - 2016-11-07 08:18 PM - Miroslav Umlauf

Any chance to move on with this? It is sometimes driving me crazy. Drag and dropped layers are saved into QGIS project file with slashes instead of

backslashes on Windows. So whenever I want to load the same layer into new project based on other project I double click on layer copy the full path, in
new project click on add vector/raster layer insert the path, open and... The file name is not valid.

#6 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
